| Home | Libraries | People | FAQ | More

#### ssl::stream::stream

Construct a stream.

    template<
        typename Arg>
    stream(
        Arg & arg,
        context & ctx);

This constructor creates a stream and initialises the underlying stream object.

###### Parameters

arg

  The argument to be passed to initialise the underlying stream.

ctx

  The SSL context to be used for the stream.